/********************************************************/
/*
/*      Blocks CSS
/*
/********************************************************/

	.wp-block-post-content > .alignwide {
		max-width: var(--wp--custom--max-size-outer) !important;
	}

	/******************************/
	/* Image
	/******************************/
	.wp-block-image {
		margin-block-start: 0 !important;
		border-radius: .625rem;
		overflow: clip;
	}
	
	/* Mirror variation */
	.wp-block-image.is-style-mirrored {
		position: relative;
		overflow: visible;
		border-radius: unset;
		margin-block-end: -33% !important;
		z-index: -1;
	}
	
	body.wp-admin .wp-block-image.is-style-mirrored {
		z-index: 0;
	}
	
	.wp-block-image.is-style-mirrored::before {
		content: '';
		position: absolute;
		left: 0;
		top: 0;
		width: 100%;
		height: 100%;
		background: linear-gradient(0deg, rgba(203,200,194,1) 50%, rgba(203,200,194,0.5) 100%); 
		z-index: 1;
	}
	
	body:has(a.color.selected > [title="Text"]) .wp-block-image.is-style-mirrored::before,
	.wp-site-blocks:has(style.bg-color-text) .wp-block-image.is-style-mirrored::before {
		background: linear-gradient(0deg, rgba(139,139,144,1) 50%, rgba(139,139,144,0.5) 100%); 
	}
	
	body:has(a.color.selected > [title="Accent"]) .wp-block-image.is-style-mirrored::before,
	.wp-site-blocks:has(style.bg-color-accent) .wp-block-image.is-style-mirrored::before {
		background: linear-gradient(0deg, rgba(0,1,43,1) 50%, rgba(0,1,43,0.5) 100%);
	}
	
	body:has(a.color.selected > [title="Accent 2"]) .wp-block-image.is-style-mirrored::before,
	.wp-site-blocks:has(style.bg-color-accent-2) .wp-block-image.is-style-mirrored::before {
		background: linear-gradient(0deg, rgba(206,207,211,1) 50%, rgba(206,207,211,0.5) 100%); 
	}
	
	body:has(a.color.selected > [title="White"]) .wp-block-image.is-style-mirrored::before,
	.wp-site-blocks:has(style.bg-color-white) .wp-block-image.is-style-mirrored::before {
		background: linear-gradient(0deg, rgba(255,255,255,1) 50%, rgba(255,255,255,0.5) 100%); 
	}
	
	body:has(a.color.selected > [title="Off-Black"]) .wp-block-image.is-style-mirrored::before,
	.wp-site-blocks:has(style.bg-color-off-black) .wp-block-image.is-style-mirrored::before {
		background: linear-gradient(0deg, rgba(0,1,42,1) 50%, rgba(0,1,42,0.5) 100%); 
	}
	
	.wp-block-image.is-style-mirrored img {
		scale: 1 -1;
		border-radius: .625rem;
		overflow: clip;
	}

	/******************************/
	/* Media-text
	/******************************/
	.wp-block-media-text,
	.wp-block-media-text .wp-block-media-text__media {
		border-radius: .625rem;
		overflow: clip;
	}
	
	.wp-block-media-text {
		--media-width: 40%;
		
		justify-content: space-between;
		gap: var(--wp--custom--outer-pad);
		max-width: min(var(--wp--style--global--wide-size), calc(100% - (var(--wp--custom--outer-pad) * 2))) !important;
		padding: calc(var(--wp--custom--outer-pad) * 2) 0;
	}
	
	.wp-block-media-text .wp-block-media-text__content {
		padding-block: var(--wp--preset--spacing--80);
		padding-inline: 0;
	}
	
	.wp-block-media-text .wp-block-media-text__content > * {
		margin: 0;
	}
	
	.wp-block-media-text .wp-block-media-text__content > * + * {
		margin-block-start: 1em;
	}
	
	.wp-block-media-text .wp-block-media-text__media {
		position: relative;
		height: 100%;
	}
	
	.wp-block-media-text .wp-block-media-text__media img {
		position: absolute;
		width: 100%;
		height: 100%;
		object-fit: cover;
	}
	
	body.wp-admin .wp-block-media-text .wp-block-media-text__media img {
		position: relative;
	}
	
	/* Backend specific style */
	body.wp-admin .wp-block-media-text .wp-block-media-text__content {
		padding-block: var(--wp--preset--spacing--50);
	}
	
	body.wp-admin .wp-block-media-text .wp-block-media-text__content:first-child,
	body.wp-admin .wp-block-media-text .wp-block-media-text__content:last-child {
		padding-inline: 0;
	}
	
	@media screen and (max-width: 1400px) {
		.wp-block-media-text .wp-block-media-text__content { padding-block: var(--wp--preset--spacing--50); }
	}
	
	@media screen and (max-width: 1240px) {
		.wp-block-media-text { grid-template-columns: 1fr 1fr !important; padding-inline: var(--wp--custom--outer-pad) !important; }
	}
	
	@media screen and (max-width: 1000px) {
		.wp-block-media-text { display: flex; flex-direction: column; gap: var(--wp--preset--spacing--30); padding-block: var(--wp--preset--spacing--50); }
		.wp-block-media-text .wp-block-media-text__content { padding-block: 0; }
		.wp-block-media-text .wp-block-media-text__media img { position: relative; height: auto; }
	}
	
	@media screen and (max-width: 750px) {
		.wp-block-media-text .wp-block-media-text__content { padding-inline: calc(var(--wp--custom--outer-pad) * 1) !important; }
		.wp-block-media-text .wp-block-media-text__media { margin-inline: calc(var(--wp--custom--outer-pad) * 1) !important; }
	}
	
	@media screen and (max-width: 500px) {
		.wp-block-media-text { padding-block: var(--wp--preset--spacing--30); }
		.wp-block-media-text .wp-block-media-text__content { padding-inline: 0 !important; }
		.wp-block-media-text .wp-block-media-text__media { margin-inline: 0 !important; }
	}
	
	/******************************/
	/* Columns
	/******************************/
	.wp-block-post-content > .wp-block-columns {
		/* Variables to ensure text in columns block to have the same width as the text in media-text blocks */
		--content-width-constant: 40%;
		--col-content-width: calc((var(--wp--custom--max-size-outer) - var(--content-width-constant)) * .5);
		--col-outer-pad: calc(var(--wp--custom--inner-pad) + var(--wp--custom--outer-pad));
		--col-inner-pad: calc(((100% - var(--wp--custom--outer-pad)) / 2) - var(--col-outer-pad) - var(--col-content-width));
		
		max-width: var(--wp--custom--max-size-outer) !important;
	}
	
	.wp-block-post-content > .wp-block-columns .wp-block-column {
		display: flex;
		flex-direction: column;
		padding-block: var(--wp--preset--spacing--70);
		box-sizing: border-box;
	}
	
	.wp-block-post-content > .wp-block-columns .wp-block-column.has-background {
		border-radius: .625rem;
		overflow: clip;
	}
	
	.wp-block-post-content > .wp-block-columns .wp-block-column:first-child {
		padding-inline: var(--col-outer-pad) var(--col-inner-pad);
	}
	
	.wp-block-post-content > .wp-block-columns .wp-block-column:last-child {
		padding-inline: var(--col-inner-pad) var(--col-outer-pad);
	}
	
	/* Backend specific style */
	body.wp-admin .wp-block-columns {
		--col-inner-pad: var(--col-outer-pad);
	}
	
	@media screen and (max-width: 1400px) {
		.wp-block-post-content > .wp-block-columns { --col-content-width: calc((var(--wp--custom--max-size-outer) - var(--content-width-constant)) * (2/3));
													 --col-outer-pad: calc(var(--wp--custom--outer-pad) * 3); }
		.wp-block-post-content > .wp-block-columns .wp-block-column { padding-block: var(--wp--preset--spacing--50); }
		.wp-block-post-content > .wp-block-columns .wp-block-column:first-child,
		.wp-block-post-content > .wp-block-columns .wp-block-column:last-child { padding-inline: var(--col-outer-pad) var(--col-inner-pad); }	
	}
	
	@media screen and (max-width: 1240px) {
		.wp-block-post-content > .wp-block-columns .wp-block-column:first-child,
		.wp-block-post-content > .wp-block-columns .wp-block-column:last-child { padding-inline: var(--col-outer-pad) !important; }	
	}
	
	@media screen and (max-width: 900px) {
		.wp-block-post-content > .wp-block-columns { flex-direction: column; }
		.wp-block-post-content > .wp-block-columns .wp-block-column:not(.has-background):first-child { padding-block-end: var(--wp--preset--spacing--20); }
		.wp-block-post-content > .wp-block-columns .wp-block-column:not(.has-background):last-child { padding-block-start: var(--wp--preset--spacing--20); }
	}
	
	@media screen and (max-width: 750px) {
		.wp-block-post-content > .wp-block-columns { --col-outer-pad: calc(var(--wp--custom--outer-pad) * 2); }
	}
	
	@media screen and (max-width: 500px) {
		.wp-block-post-content > .wp-block-columns { --col-outer-pad: var(--wp--custom--outer-pad); }
		.wp-block-post-content > .wp-block-columns .wp-block-column { padding-block: var(--wp--preset--spacing--30); }
	}
	
	/******************************/
	/* Group
	/******************************/
	
	/* Row layout */
	.wp-block-post-content > .wp-block-group.is-nowrap {
		max-width: calc(var(--wp--custom--max-size-inner) - (var(--wp--custom--outer-pad) * 2)) !important;
	}
	
	@media screen and (max-width: 1400px) {
		.wp-block-post-content > .wp-block-group.is-nowrap { max-width: calc(var(--wp--custom--max-size-outer) - (var(--wp--custom--outer-pad) * 6)) !important; }
	}
	
	@media screen and (max-width: 1240px) {
		.wp-block-post-content > .wp-block-group.is-nowrap { gap: var(--wp--preset--spacing--40) !important; }
	}

	@media screen and (max-width: 750px) {
		.wp-block-post-content > .wp-block-group.is-nowrap { flex-direction: column; max-width: calc(var(--wp--custom--max-size-outer) - (var(--wp--custom--outer-pad) * 4)) !important; }
	}
	
	@media screen and (max-width: 500px) {
		.wp-block-post-content > .wp-block-group.is-nowrap { max-width: calc(var(--wp--custom--max-size-outer) - (var(--wp--custom--outer-pad) * 2)) !important; }
	}
	
	
	.wp-block-post-template {
		.wp-block-post.cke_blogue {
			margin: 0!important;
		
			& > .wp-block-group   {
				overflow: clip;
				background-color: #F0F0ED;
			}
			
			&::before  {
				display: none;
			}
			
			.wp-block-post-title a:hover  {
				text-decoration: none!important;
			}
		}
	}
	

	